{% include "modules/head.html" %}
{% include "modules/navbar.html" %}

<body>
<div class="bloc">

    <h1>Page de modification</h1>
<div class="bloc_descrip">
  <p>Veuillez sélectionner l'élève, la connaissance, la note, le mode de modification : </p>
  <form method="post" action="{{ url_for('traitement_modification') }}">
             <select id="selectEleve" name="nom_eleve" required>
                <option value="">--Elève ?--</option> 
              {% for eleve in liste_eleve %}
                <option value="{{ eleve }}">{{ eleve }}</option>
              {% endfor %}
            </select>
            <select id="selectConnaissance" name="connaissance" required>
              <option value="">--Connaissance ?--</option> 
              {% for connaissance in liste_connaissance %}
                <option value="{{ connaissance }}">{{ connaissance }}</option>
              {% endfor %}
            </select>
            <select id="selectNote" name="note" required>
              <option value="">--Note ?--</option> 
              {% for note in liste_note %}
                <option value="{{ note }}">{{ note }}</option>
              {% endfor %}
            </select>
            <select id="selectMode" name="mode" required>
                <option value="">--Mode ?--</option> 
              {% for mode in liste_mode %}
                <option value="{{ mode }}">{{ mode }}</option>
              {% endfor %}
            </select>
    <br><br>
    <p>Précisez la date et l'évaluateur</p>
    <input type="date" id="selectDate" name="date_formulaire"
                          value= {{maintenant}}
                          min="2020-01-01" max={{maintenant}} required>
    <select id="selectEvaluateur" name="evaluateur"  required>
      <option value="">--Evaluateur ?--</option> 
      {% for evaluateur in liste_evaluateur %}
        <option value="{{ evaluateur }}">{{ evaluateur }}</option>
      {% endfor %}
    </select>
    <button type="submit">Ok</button>            
  </form>
</div>
</div>


</body>

</html>
